<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Capital Maid</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="keywords" content="maid, maids, cleaning, clean, residential, housecleaning, virginia, maryland, dc, arlington va, arlington, chevy chase, chevy chase md, bethesda, mclean, house, District of Columbia, potomac, Potomac, move in cleaning, move out cleaning, move in, move out, maid service" />
<meta name="description" content="DC Area Maid Service.  The Most Trusted Employee Owned Maid/Cleaning Company." />
<link rel="stylesheet" href="style.css" type="text/css" media="screen" charset="utf-8" />

<style type="text/css"> A:link {text-decoration: none}
A:visited {text-decoration: none}
A:active {text-decoration: none}
A:hover {text-decoration: underline; color: green;}
</style>
<!--
-->
</style>
</head>






<div class="container1">
<div id="inner">
<div class="tag1">
<a href="index.php">
<br>
<img src="images/capmaidserv.gif"></a>
</div>
<div class="tag2">
 
 <img src="images/kitchencleaning.jpg" width="128" height="180">
  
    <img src="images/capmaidpic1.jpg" width="240" height="180">
    
    <img src="images/capmaidpic2.jpg" width="240" height="180">
    
    <img src="images/cleaning1.jpg" height="180">
</div>
</div>
</div>

<div class="container2">
<div id="inner">
<div class="tag11">

<div class="linkslarger">Phone: 202 351 6184</div>
      
      
      
      
      
      
      
      
        <p class="links">
        <br>
        info@CapitalMaid.com
        <br>
        </p>
        <br>
        <!-- zipcheck.php?clean_type=move -->
        
     
        
      <a href="availPostCode.php"><img src="images/but1.gif" border="0"></a><br><br>
      <!--zipcheck.php?clean_type=one_time -->
<a href="availPostCode.php"><img src="images/but2.gif" border="0"></a><br><br>
       <!-- zipcheck.php?clean_type=regular --> 
<a href="availPostCode.php"><img src="images/but3.gif" border="0"></a><br><br>

   <a href="carpetCleaning.php"><img src="images/carpet12.png" border="0"></a><br><br>
   
   <br>
<br>
        <a href="payment.php"><img src="images/horizontal_solution_PP.gif" width="180" height="70" border="0"></a>
        
        <p class="links"><br>
        Mon-Fri: 8:00AM - 5:00PM<br>
        Sat: 9:00AM - 12:00PM</p>


</div>
<div class="tag21">
<br>
<br>
<br>

<p align="center">
<span class="move_larger">Reservation For <span class="move_larger_red" id="dayText"></span>
</p>


<div id="main_body_div" align="center">

<table align="center" border="0" cellpadding="2" cellspacing="0">
<tbody>
<tr><td align="center" class="formtext" colspan="2" style="color:#F00"><strong><div id="error_msg"></div></strong></td></tr>
<tr>
<td class="formtext" align="right">* First Name &nbsp;</td>
<td class="formtext"><input name="firstname" size="25" type="text" maxlength="32" /></td>
</tr>
<tr>
<td class="formtext" align="right">* Last Name &nbsp;</td>
<td class="formtext"><input name="lastname" size="25" type="text" maxlength="32"/></td>
</tr>
<tr>
<td class="formtext" align="right">* Address &nbsp;</td>
<td class="formtext"><input name="address1" size="25" type="text" maxlength="100"/></td>
</tr>
<tr>
<td class="formtext" align="right"> Address (line 2)&nbsp;</td>
<td class="formtext"><input name="address2" size="25" type="text" maxlength="100"/></td>
</tr>
<tr>
<td class="formtext" align="right">* City &nbsp;</td>
<td class="formtext"><input name="city" size="25" type="text"  maxlength="100"/></td>
</tr>
<tr>
<td class="formtext" align="right">* State &nbsp;</td>
<td class="formtext"><input name="state" size="9" type="text"  maxlength="32"/></td>
</tr>
<tr>
<td class="formtext" align="right">* Zip Code&nbsp;</td>
<td class="formtext"><input name="postCode" size="9" type="text"  maxlength="31"/></td>
</tr>
<tr>
<td class="formtext" align="right">* Phone&nbsp;</td>
<td class="formtext" align="left">( 
                            <input name="phone_area" size="3" maxlength="3" type="text" /> ) 
                            <input name="phone_prefix" size="3" maxlength="3" type="text" /> - 
                            <input name="phone_suffix" size="3" maxlength="4" type="text" /></td>
</tr>
<tr>
<td class="formtext" align="right">* Email&nbsp;</td>
<td class="formtext"><input name="email" size="25" type="text" maxlength="32"/></td>
</tr>
<tr>
<td class="formtext" align="right">* How did you hear about us?&nbsp;</td>
<td class="formtext">
<select name="how_did_you_hear">
<option value="empty"></option>
<option value="google">Google</option>
<option value="yahoo">Yahoo</option>
<option value="bing">Bing</option>
<option value="yelp">Yelp</option>
<option value="concierge">Concierge</option>
<option value="brochure">Brochure</option>
<option value="friend">Friend Reference</option>
<option value="other">Other</option>
</select>
</td>
</tr>
<tr>
<td class="formtext" align="left" colspan="2"> <br> Get additional 5% discount if you have a promotion code.&nbsp;</td>
</tr>
<tr>
<td class="formtext" align="right"> Promotion Code or Approved Reference Name&nbsp;<br>(required to get a discount):&nbsp;</td>
<td class="formtext"><input name="promo" size="25" type="text" /></td>
</tr>
<tr>
<td class="formtext" align="right">Additional Comments</td>
<td class="formtext"><textarea name="message" rows="5" cols="30"> </textarea></td>
</tr>
<tr>
<td colspan="2">
<div align="center"> <input type='button' class='monthButton' value='Reserve' id='res_butt' onclick='reserve()' /></div>
</td>
</tr>
 <tr>
<td colspan="2" align="center" style="font-size:10px; color:#333"><br /><br />Reservations & Scheduling by <a href="https://www.StrictManager.com" style="font-size:10px; color:#00F">StrictManager.com</a></td>
</tr>
</tbody>
</table>

</div> <!-- close "main_body_div" -->



<br>
<br>
<br>

</div>
</div>
</div>

<img src="images/grbot.gif"/>
 
 
</body>
</html>


<script type="text/javascript">
// businessID and general calendar settings
var businessID = "6d7519"; // eneter busnessID provided by StrictManager.com

var rsvp = getUrlVars()['rsvp'],
	dayTime = getUrlVars()['dayTime'],
	monthNo = Number(getUrlVars()['month'])-1,
	mdays = ['January','February','March','April','May','June','July','August','September','October','November','December'],
	month = mdays[monthNo],
	day = getUrlVars()['day'],
	charge = getUrlVars()['charge'],
	time_hr = getUrlVars()['time_hr'],
	optionalVal = decodeURIComponent(getUrlVars()['optionalVal']);
	optionalVal1 = decodeURIComponent(getUrlVars()['optionalVal1']);
	optionalVal2 = decodeURIComponent(getUrlVars()['optionalVal2']);
function getUrlVars() {
    var vars = {};
    var parts = window.location.href.replace(/[?&]+([^=&]+)=([^&]*)/gi, function(m,key,value) {
        vars[key] = value;
    });
    return vars;
}

var dayText = month+" "+day+", arrival "+dayTime;
//document.getElementById("dayTextTop").innerHTML = dayText;
document.getElementById("dayText").innerHTML = dayText;




var firstname=document.getElementsByName('firstname')[0].value,
lastname=document.getElementsByName('lastname')[0].value,
address1=document.getElementsByName('address1')[0].value,
address2=document.getElementsByName('address2')[0].value,
city=document.getElementsByName('city')[0].value,
state=document.getElementsByName('state')[0].value,
phone_area=document.getElementsByName('phone_area')[0].value,
phone_prefix=document.getElementsByName('phone_prefix')[0].value,
phone_suffix=document.getElementsByName('phone_suffix')[0].value,
email=document.getElementsByName('email')[0].value,
how_did_you_hear=document.getElementsByName('how_did_you_hear')[0].value,
promo=document.getElementsByName('promo')[0].value,
message=document.getElementsByName('message')[0].value;


function reserve(){
document.getElementById("error_msg").innerHTML = "";
document.getElementsByName('firstname')[0].className -= ' backRed';
document.getElementsByName('lastname')[0].className -= ' backRed';
document.getElementsByName('address1')[0].className -= ' backRed';
document.getElementsByName('city')[0].className -= ' backRed';
document.getElementsByName('state')[0].className -= ' backRed';
document.getElementsByName('postCode')[0].className -= ' backRed';
document.getElementsByName('phone_area')[0].className -= ' backRed';
document.getElementsByName('phone_prefix')[0].className -= ' backRed';
document.getElementsByName('phone_suffix')[0].className -= ' backRed';
document.getElementsByName('email')[0].className -= ' backRed';


var firstname=document.getElementsByName('firstname')[0].value,
firstname=firstname.trim(),
lastname=document.getElementsByName('lastname')[0].value,
lastname=lastname.trim(),
address1=document.getElementsByName('address1')[0].value,
address1=address1.trim(),
address2=document.getElementsByName('address2')[0].value,
address2=address2.trim(),
city=document.getElementsByName('city')[0].value,
city=city.trim(),
state=document.getElementsByName('state')[0].value,
state=state.trim(),
postCode=document.getElementsByName('postCode')[0].value,
postCode=postCode.trim(),
phone_area=document.getElementsByName('phone_area')[0].value,
phone_area=phone_area.trim(),
phone_prefix=document.getElementsByName('phone_prefix')[0].value,
phone_prefix=phone_prefix.trim(),
phone_suffix=document.getElementsByName('phone_suffix')[0].value,
phone_suffix=phone_suffix.trim(),
phone = phone_area + phone_prefix + phone_suffix,
email=document.getElementsByName('email')[0].value,
email=email.trim(),
how_did_you_hear=document.getElementsByName('how_did_you_hear')[0].value,
promo=document.getElementsByName('promo')[0].value,
message=document.getElementsByName('message')[0].value;

var bVal = 0;
if(firstname.length<1){
document.getElementsByName('firstname')[0].className += ' backRed';
bVal = 1;
}
if(lastname.length<1){
document.getElementsByName('lastname')[0].className += ' backRed';
bVal = 1;
}
if(address1.length<3){
document.getElementsByName('address1')[0].className += ' backRed';
bVal = 1;
}
if(city.length<3){
document.getElementsByName('city')[0].className += ' backRed';
bVal = 1;
}
if(state.length<2){
document.getElementsByName('state')[0].className += ' backRed';
bVal = 1;
}
if(postCode.length<1){
document.getElementsByName('postCode')[0].className += ' backRed';
bVal = 1;
}
if(phone_area.length<1){
document.getElementsByName('phone_area')[0].className += ' backRed';
bVal = 1;
}
if(phone_prefix.length<1){
document.getElementsByName('phone_prefix')[0].className += ' backRed';
bVal = 1;
}
if(phone_suffix.length<1){
document.getElementsByName('phone_suffix')[0].className += ' backRed';
bVal = 1;
}
if(email.length<5){
document.getElementsByName('email')[0].className += ' backRed';
bVal = 1;
}
var re = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;
if(!(re.test(email))){document.getElementsByName('email')[0].className += ' backRed';bVal = 1;}
   



if(bVal==0){
	
	var xmlhttp = new XMLHttpRequest();
//var url = "http://strictmanager.com/busav/avail.php?id="+businessID+"&date="+date;
var url = "https://strictmanager.com/busav/postRsvp.php";
xmlhttp.onreadystatechange = function() {
	   if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
		 //  alert(xmlhttp.responseText);
		var myArr = JSON.parse(xmlhttp.responseText);
		
		//alert(myArr);
		
		if(myArr=='expired'){
	    var resv_comp = "<br><strong>Unfortunatly this opening is not available anymore!</strong><br><a href='availPostCode.php'>Start from the beginning</a> and select a new reservation time."
			document.getElementById("main_body_div").innerHTML = resv_comp;
		
		}else if(Number(myArr) > 0){
			var resv_comp = "<br><strong>Thank you for requesting a service.<br>The service has not been scheduled yet.<br> Our representative will contact you within 24 hours by email or phone to confirm the reservation.</strong>"
			document.getElementById("main_body_div").innerHTML = resv_comp;
		}else{
			var resv_comp = "<br><strong>Unfortunatly there was a problem requesting reservation.</strong><br>Call/Email the company or try to make the reservation again."
			document.getElementById("main_body_div").innerHTML = resv_comp;
		}
    }

}
xmlhttp.open("POST", url, true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");

var cust_ref = "How did your hear: "+ how_did_you_hear;

message = "CUSTOMER SELECTIONS: "+ optionalVal + "\r\nPromo: "+ promo+"  \r\nComments: "+message;


xmlhttp.send("id="+encodeURIComponent(businessID)+"&rsvp="+encodeURIComponent(rsvp)+"&firstname="+encodeURIComponent(firstname)+"&lastname="+encodeURIComponent(lastname)+"&address1="+encodeURIComponent(address1)+"&address2="+encodeURIComponent(address2)+"&city="+encodeURIComponent(city)+"&state="+encodeURIComponent(state)+"&postCode="+encodeURIComponent(postCode)+"&phone="+encodeURIComponent(phone)+"&email="+encodeURIComponent(email)+"&cust_ref="+encodeURIComponent(cust_ref)+"&message="+encodeURIComponent(message)+"&charge="+encodeURIComponent(charge)+"&time_hr="+encodeURIComponent(time_hr)+"&optionalVal1="+encodeURIComponent(optionalVal1)+"&optionalVal2="+encodeURIComponent(optionalVal2)+"&optionalVal3="+encodeURIComponent(dayTime)+"&dayText="+encodeURIComponent(dayText));
	
	
}else{
document.getElementById("error_msg").innerHTML = "Fields marked in red are incorrect!";
}
	
	
}

</script>

<style>
.monthButton {
	background-color:#0066CC;
	-moz-border-radius:7px;
	-webkit-border-radius:7px;
	border-radius:7px;
	border:1px solid #B2D1F0;
	display:inline-block;
	cursor:pointer;
	color:#ffffff;
	font-family:Arial;
	font-size:16px;
	padding:4px 4px;
	text-decoration:none;
	text-shadow:0px 0px 0px #2f6627;
	min-width:100px;
	font-weight:bold;
}
.monthButton:hover {
	background-color:#99C2EB;
	color:#000000;
}
.monthButton:active {
	position:relative;
	top:1px;
}
.backRed{
	background-color:#FF8282
}
</style>